Bug 142033 - Deprecated warnings after Struts 1.2.4 upgrade
Deprecated warnings after Struts 1.2.4 upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Bowman
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-12-06 15:36 EST by Jesus M. Rodriguez
Modified: 2007-04-18 13:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 12:38:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2004-12-06 15:36:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
The following action classes are using deprecated code from Struts.
We're using ActionError which was deprecated in 1.2.0, we should
be using ActionMessage:

LoginAction.java
CreateUserAction.java
UserEditAction.java
ChangeEmailAction.java
RhnValidationHelper.java

RhnMockDynaActionForm uses the clear() method which has also been
deprecated. According to the documentation, we no longer need it:
"Deprecated. No longer need to Clear our cache of DynaActionFormClass
instances."


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Turn on deprecated warnings in Eclipse and watch the errors fly.

Expected Results:  Expect our code to be clean of deprecated warnings.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.